Webhook Events

Webhook Events endpoints for the Ecommerce API Unified API

10.24.33
Run In Postman
|Full reference

Order Created
Webhook

Event broadcast when an order has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Picqer
Picqer
native event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
Shopware
Shopware
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.order.created",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/orders/123456ASDF",
    "entity_type": "order",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Order Updated
Webhook

Event broadcast when an order has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
Shopware
Shopware
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
Picqer
Picqer
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.order.updated",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/orders/123456ASDF",
    "entity_type": "order",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Order Deleted
Webhook

Event broadcast when an order has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Picqer
Picqer
native event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
Shopware
Shopware
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.order.deleted",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/orders/123456ASDF",
    "entity_type": "order",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Product Created
Webhook

Event broadcast when a product has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Picqer
Picqer
native event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
Shopware
Shopware
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.product.created",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/products/123456ASDF",
    "entity_type": "product",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Product Updated
Webhook

Event broadcast when a product has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Picqer
Picqer
native event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
Shopware
Shopware
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.product.updated",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/products/123456ASDF",
    "entity_type": "product",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Product Deleted
Webhook

Event broadcast when a product has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
Shopware
Shopware
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
Picqer
Picqer
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.product.deleted",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/products/123456ASDF",
    "entity_type": "product",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Customer Created
Webhook

Event broadcast when a customer has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
Picqer
Picqer
Request
Shopware
Shopware
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.customer.created",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/customers/123456ASDF",
    "entity_type": "customer",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Customer Updated
Webhook

Event broadcast when a customer has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
Shopware
Shopware
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
Picqer
Picqer
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.customer.updated",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/customers/123456ASDF",
    "entity_type": "customer",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Customer Deleted
Webhook

Event broadcast when a customer has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*ecommerce.order.createdecommerce.order.updatedecommerce.order.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Magento
Magento
virtual event
Prestashop
Prestashop
virtual event
Shopify
Shopify
native event
Shopify (Public App)
Shopify (Public App)
native event
Shopware
Shopware
native event
WooCommerce
WooCommerce
native event
Amazon Seller Central
Amazon Seller Central
Request
BigCommerce
BigCommerce
Request
bol.com
bol.com
Request
eBay
eBay
Request
Etsy
Etsy
Request
Lightspeed
Lightspeed
Request
Lightspeed eCom (C-Series)
Lightspeed eCom (C-Series)
Request
Mollie
Mollie
Request
Picqer
Picqer
Request
TikTok Shop
TikTok Shop
Request
Walmart
Walmart
Request
Wix
Wix
Request

Example Event

Payload
{
  "payload": {
    "event_type": "ecommerce.customer.deleted",
    "unified_api": "ecommerce",
    "service_id": "shopify",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/ecommerce/customers/123456ASDF",
    "entity_type": "customer",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}